package com.fdkankan.pay.paypal;

import com.fdkankan.pay.paypal.sdk.PayPalConfig;
import org.springframework.stereotype.Component;

@Component
public class PayPalDefaultConfig extends PayPalConfig {

    @Override
    public String getClientId() {
        return "AZJEGWlvvI2q52bR4k_mC1ftW8tEnlaJj30huGQTBsdAjwmKlMDiEiMixVKbfrdw6fB55NSj_BAE8FPP";
    }

    @Override
    public String getSecret() {
        return "EL-RGNmsbFpcKT7QuIlxMxX7MQplp8rCyaGDZ5KOCMQ9BkOhY5OYZyVInAeHT8_4tXoPth8tOEZY_3s_";
    }

    @Override
    public String getMode() {
        return "live";
    }

    public String getPaySuccessUrl(){
        return "api/order/pay/paypal/callback";
    }

    public String getH5PaySuccessUrl(){
        return "api/order/pay/paypal/callbackH5";
    }

    public String getCancelUrl(){
        return "api/order/pay/paypal/cancel";
    }

    public String getH5CancelUrl(){
        return "api/order/pay/paypal/cancelH5";
    }

    public String getSuccessUrl(){
        return "index.html#/payresult/success/recharge";
    }

    public String getFailUrl(){
        return "#/payresult/fail/recharge";
    }

    public String getH5SuccessUrl(){
        return "mobile.html#/payresult/success";
    }

    public String getH5FailUrl(){
        return "mobile.html#/payresult/fail";
    }

}
